#include "ArmDefine.h"

#define ARM_LEFT_X	102.8
#define ARM_LEFT_Y	74.1
#define ARM_LEFT_Z	1187


void Robo2ArmL( float pos[6] )
{

	// 座標系は同じなので、平行移動のみ
	pos[0] -= ARM_LEFT_X;
	pos[1] -= ARM_LEFT_Y;
	pos[2] -= ARM_LEFT_Z;

}

void Arm2RoboL( float pos[6] )
{

	// 座標系は同じなので、平行移動のみ
	pos[0] += ARM_LEFT_X;
	pos[1] += ARM_LEFT_Y;
	pos[2] += ARM_LEFT_Z;
}

void Robo2ArmR( float pos[6] )
{

	// 座標系は同じなので、平行移動のみ
	pos[0] -= ARM_LEFT_X;
	pos[1] += ARM_LEFT_Y;
	pos[2] -= ARM_LEFT_Z;

}

void Arm2RoboR( float pos[6] )
{

	// 座標系は同じなので、平行移動のみ
	pos[0] += ARM_LEFT_X;
	pos[1] -= ARM_LEFT_Y;
	pos[2] += ARM_LEFT_Z;
}

